org.firebirdsql.jdbc

## Enum CompletionReason

- java.lang.Object
- - java.lang.Enum<CompletionReason>
  - - org.firebirdsql.jdbc.CompletionReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CompletionReason>

      public enum CompletionReason
      extends java.lang.Enum<CompletionReason>

  Reasons for statement (or other resources) completion. This is intended for the `InternalTransactionCoordinator` to notify the statement and related objects on why it should complete, and for statement to notify its dependent objects.
  Since:
    2.2.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMIT`
    `OTHER`
    `ROLLBACK`
    `STATEMENT_CLOSE` Completion was signalled from a statement close.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompletionReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CompletionReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMMIT

          public static final CompletionReason COMMIT

    - #### ROLLBACK

          public static final CompletionReason ROLLBACK

    - #### STATEMENT_CLOSE

          public static final CompletionReason STATEMENT_CLOSE

      Completion was signalled from a statement close.
      Since:
        5

    - #### OTHER

          public static final CompletionReason OTHER

  - ### Method Detail

    - #### values

          public static CompletionReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompletionReason c : CompletionReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompletionReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.